Subject: Re: [Linux-fbdev-devel] [PATCH 1/2] fb: add support for foreign endianness

From: Anton Vorontsov <[email-masked]>
Date: Wed, 20 Feb 2008 15:18:18 +0300

On Wed, Feb 20, 2008 at 11:56:35AM +1100, Paul Mackerras wrote:
> Andrew Morton writes:
> 
> > Bizarrely, the original author of the patch (Anton) has fallen off the cc. 
> > Could whoever did that please thwap himself?
> > 
> > Anyway, my head is now officially spinning.  Did anyone actually have a
> > reason why we shouldn't proceed with Anton's patch?
> 
> I was wondering if it would be sufficient to provide alternative
> versions of fb_readl, fb_writel etc. that do byte-swapping.

This is of course viable alternative. And I was considering this, but
later I abandoned the idea: that way we'll end up doing math in the
native endianness and then converting it to the foreign. This feels
ugly in contrast when we can do the right math in the first place, per
framebuffer.

> That
> would mean that all framebuffers would have to have the same
> endianness,

Yup, another downside of changing the code to fix some narrow
problem. Plus, this means things will break if/when we'll attach
PCI video card into the MPC8360E-RDK.

Thanks,

-- 
Anton Vorontsov
email: [email-masked]
backup email: [email-masked]
irc://irc.freenode.net/bd2